<?php
    
    global $tpl;  

    $Wartosc = db::$i->row("SELECT * FROM `wartosci` WHERE `id`='".( core::$i->id )."'");

    switch( core::$i->method )
    {
        case 'save':

            if( $Wartosc )
            {
                $NowaWartosc = ( stristr( $_REQUEST['wartosc'] , ',' ) ? str_replace(",",".",$_REQUEST['wartosc']) : $_REQUEST['wartosc'] );
    
                if( $NowaWartosc )
                {
                    db::$i->q("UPDATE `wartosci` SET `wartosc`='".( $NowaWartosc )."' WHERE `id`='{$Wartosc['id']}'");
                }
    
                js::$i->setJSON(array(  
                    'refresh' => true,
                    'status' => true,
                    'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
                ));
            } 
            else 
            {
                js::$i->setJSON(array(
                    'error' => 'Podaj poprawną wartość'
                ));
            }


        break;
        
        default:

            $tpl->assign(array(
                'Wartosc' => $Wartosc,
                'id' => core::$i->id
            ));
            
            js::$i->setJSON(array(   
                'status' => true,
                'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
            ));
        break;
    }

?>